ошибка в pythonanywhere

Здраствуйте. Столкнулся с проблемой. Решил воспользоваться библиотекой Telethon 0.19.1.6(старая версия). Делал всё по инструкции в гайде https://lolz.guru/threads/2472211/. В PyCharm всё отлично работает. А вот в pythonanywhere наоборот. Код был импортирован одинаковый. Версия библиотеки также. Прошу помочь с этим вопросом. Если есть действенные альтернативы, то предложите пожалуйста) Или как с выключенным компьютером можно держать активным скрипт. [PyCharm1pythonanywhere

вывод с ошибкой:

ConnectionRefusedError: [Errno 111] Connection refused During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/fluffy11/online/main.py", line 4, in from login import client File "./login.py", line 16, in client.connect() File "/home/fluffy11/.local/lib/python3.8/site-packages/telethon/telegram_bare_client.py", line 207, in connect self._sender.connect() File "/home/fluffy11/.local/lib/python3.8/site-packages/telethon/network/mtproto_sender.py", line 68, in connect self.connection.connect(self.session.server_address, self.session.port) File "/home/fluffy11/.local/lib/python3.8/site-packages/telethon/network/connection/tcpfull.py", line 25, in connect self.conn.connect(ip, port) File "/home/fluffy11/.local/lib/python3.8/site-packages/telethon/extensions/tcp_client.py", line 83, in connect if socks and isinstance(e, socks.ProxyConnectionError): AttributeError: module 'socks' has no attribute 'ProxyConnectionError'


Ответы (0 шт):